package com.zt.plat.module.qms.api.task;

import lombok.Setter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class QmsApiFallback implements FallbackFactory<QmsApi> {

    @Setter private Throwable cause;
    @Override
    public QmsApi create(Throwable cause) {
        log.error("QMS微服务接口调用失败：{}", cause.getMessage());
        return null;
    }
}
